#include "modifier_commande.h"
#include "ui_modifier_commande.h"
#include"commande.h"
modifier_commande::modifier_commande(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::modifier_commande)
{
    ui->setupUi(this);
}

modifier_commande::~modifier_commande()
{
    delete ui;
}




void modifier_commande::on_pushButton_clicked()
{

    int numC= ui->numC->text().toInt();
    int  prixC=ui->prixC->text().toInt();
    int  quantite=ui->quantite->text().toInt();
    QString etat=ui->etat->text();

      bool test=tmpcommande.modifier(numC,prixC,quantite,etat);
      if(test)
      {
          //Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
          //s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été modifier avec succés","Mr youssef");
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Succés","l'article a été modifier avec succés",QSystemTrayIcon::Warning,10000);
          hide();


      }
      else
      {
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Echec!","L'article n'a pas pu etre modifié",QSystemTrayIcon::Warning,10000);
      }
}
